ImageLoader (JEL API)
Description: declaration: package: gnu.jel, class: ImageLoader

Package gnu.jel

# Class ImageLoader

java.lang.Object
java.lang.ClassLoader
gnu.jel.ImageLoader

    public class ImageLoader
    extends java.lang.ClassLoader

Loads JEL-generated classes into Java VM.

Specifics of JEL generated classes is that the class name UTF8 is always the first entry in the constant pool. This loader will not load other classes.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.Class<?>` | `load​(byte[] image)` | Loads given JEL-generated image under its own name.
  `protected java.lang.Class<?>` | `loadClass​(java.lang.String name, boolean resolve)` |

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### load

    public static java.lang.Class<?> load​(byte[] image)
    Loads given JEL-generated image under its own name.
    Parameters:
      `image` - to load
    Returns:
      the class object for the new class or `null` if unsuccessful.

  - ### loadClass

    protected java.lang.Class<?> loadClass​(java.lang.String name, boolean resolve) throws java.lang.ClassNotFoundException
    Overrides:
      `loadClass` in class `java.lang.ClassLoader`
    Throws:
      `java.lang.ClassNotFoundException`